# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface ITextContent

All Superinterfaces:
  IContent

All Known Implementing Classes:
  TextContent

    public interface ITextContent

extends IContent

Shared interface for text content

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Method Summary
`ITextConstruct` `getContent()` Returns the `ITextConstruct` that contains the text content.

Methods inherited from interface com.google.gdata.data.IContent
`getLang, getType`

Method Detail

### getContent

    ITextConstruct getContent()

  Returns the `ITextConstruct` that contains the text content.